from sqlalchemy import Column, String, Text
from sqlalchemy.orm import relationship

from app.db.base_class import Base

class Organization(Base):
    name = Column(String, index=True, nullable=False)
    address = Column(Text)
    city = Column(String)
    state = Column(String)
    postal_code = Column(String)
    country = Column(String)
    phone = Column(String)
    email = Column(String)
    website = Column(String)
    tax_id = Column(String)
    logo_url = Column(String)
    
    # Relationships
    users = relationship("User", back_populates="organization")
    clients = relationship("Client", back_populates="organization")
    invoices = relationship("Invoice", back_populates="organization")